Package org.jboss.logmanager.filters

# Class SubstituteFilter

java.lang.Object
org.jboss.logmanager.filters.SubstituteFilter

All Implemented Interfaces:
  `Filter`

public final class SubstituteFilter extends Object implements Filter
A filter which applies a text substitution on the message if the nested filter matches.

## Constructor Summary

Constructors
Constructor
Description
`SubstituteFilter(String patternString, String replacement, boolean replaceAll)`
Construct a new instance.
`SubstituteFilter(Pattern pattern, String replacement, boolean replaceAll)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLoggable(LogRecord record)`
Apply the filter to the given log record.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstituteFilter

public SubstituteFilter(Pattern pattern, String replacement, boolean replaceAll)
Construct a new instance.

Parameters:
  `pattern` - the pattern to match
  `replacement` - the string replacement
  `replaceAll` - `true` if all occurrances should be replaced; `false` if only the first occurrance

### SubstituteFilter

public SubstituteFilter(String patternString, String replacement, boolean replaceAll)
Construct a new instance.

Parameters:
  `patternString` - the pattern to match
  `replacement` - the string replacement
  `replaceAll` - `true` if all occurrances should be replaced; `false` if only the first occurrance

## Method Details

### isLoggable

public boolean isLoggable(LogRecord record)
Apply the filter to the given log record.

The `format style` will always be set to `ExtLogRecord.FormatStyle.NO_FORMAT` as the formatted message will be the one used in the replacement.

Specified by:
  `isLoggable` in interface `Filter`
Parameters:
  `record` - the log record to inspect and modify
Returns:
  `true` always